#
# spec file for package mondo (Version 2.04)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  afio arts-devel binutils buffer bzip2 cdrecord elilo gcc-c++ kde3-devel-packages libart_lgpl-devel libpng-devel mindi mkisofs newt newt-devel parted python python-devel slang syslinux xorg-x11-devel

BuildRequires: aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv less libacl libattr libgcc libnscd libselinux libstdc++ libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch permissions popt procinfo procps psmisc pwdutils rcs readline sed strace syslogd sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel afio arts arts-devel autoconf automake binutils buffer cdrecord expat fam fam-devel fontconfig fontconfig-devel freeglut freeglut-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext glib2 glib2-devel gnome-filesystem jack jack-devel kdelibs3 kdelibs3-devel kdelibs3-doc libart_lgpl libart_lgpl-devel libgcrypt libgcrypt-devel libgpg-error libgpg-error-devel libidn libidn-devel libjpeg libjpeg-devel liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtiff-devel libtool libxml2 libxml2-devel libxslt libxslt-devel mindi mkisofs newt newt-devel openssl-devel parted pcre pcre-devel perl python python-devel qt3 qt3-devel rpm slang syslinux unsermake update-desktop-files xorg-x11-Mesa xorg-x11-Mesa-devel xorg-x11-devel xorg-x11-libs

Name:         mondo
Summary:      A program which a Linux user can utilize to create a rescue/restore CD/tape.
Version:      2.04
Release:      5
License:      GPL
Group:        Productivity/Archiving/Backup
URL:          http://www.mondorescue.org/
Source:       %{name}-%{version}.tar.bz2
Patch:        mondo_common-patch.diff 
Patch1:       mondo_restore-patch1.diff 
Patch2:       mondo_configure-patch.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
%ifarch ia64
Requires:     mindi >= 1.02, bzip2 >= 0.9, afio, mkisofs, binutils, elilo, newt >= 0.50, slang >= 1.4.1, buffer, parted
%else
Requires:     mindi >= 1.02, bzip2 >= 0.9, afio, mkisofs, binutils, syslinux >= 1.52, newt >= 0.50, slang >= 1.4.1, cdrecord, buffer
%endif
Prefix:       %{_prefix}
Autoreqprov:  on
# ExclusiveArch: i386 ppc s390 x86_64 (not implemented yet)
%define libversion 2.0x_cvs
%define _without_xmondo 1
%package xmondo
Summary:      A QT based graphical front end for Mondo
Group:        Productivity/Archiving/Backup
Requires:     %{name} = %{version}-${release}, qt, kdelibs
%package devel
Summary:      Header files for building against Mondo
Group:        Productivity/Archiving/Backup

%description
To produce a program which any Linux user can utilize to create a
rescue/restore CD (or CDs, if their installation is >2Gb approx.). Also
works for tapes and NFS.



Authors:
--------
    Hugo Rabson: author & maintainer
    Stan Benoit: beta testing; bugfixes
    H�tor Garc� �varez: Debian release guru
    Joshua Oreman: FreeBSD port
    Michael Clark: DPF docs


%description xmondo
Xmondo is a QT based graphical frontend to mondoarchive.  It can help
you set up a backup by following onscreen prompts.



Authors:
--------
    Hugo Rabson: author & maintainer
    Stan Benoit: beta testing; bugfixes
    H�tor Garc� �varez: Debian release guru
    Joshua Oreman: FreeBSD port
    Michael Clark: DPF docs


%description devel
mondo-devel contains a few header files that are necessary for
developing with mondo.



Authors:
--------
    Hugo Rabson: author & maintainer
    Stan Benoit: beta testing; bugfixes
    H�tor Garc� �varez: Debian release guru
    Joshua Oreman: FreeBSD port
    Michael Clark: DPF docs

%debug_package
%prep
%setup -q
%patch 
%patch1 
%patch2
# clear out any CVS directories if they exist
for dir in `find . -name CVS`
do
  rm -rf ${dir}
done
%configure %{!?_without_xmondo:--with-x11}

%build
%{suse_update_config -f}
%{__make} VERSION=%{version} CFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT"

%install
rm -Rf /usr/local/share/mondo
%{__mkdir} -p $RPM_BUILD_ROOT%{_datadir}/mondo
%{__mkdir} -p $RPM_BUILD_ROOT%{_includedir}/mondo
%{__mkdir} -p $RPM_BUILD_ROOT%{_sbindir}
%{__mkdir} -p $RPM_BUILD_ROOT%{_libdir}
%{__mkdir} -p $RPM_BUILD_ROOT%{_mandir}/man8
for fname in mondo/mondoarchive/.libs/mondoarchive mondo/mondorestore/.libs/mondorestore ; do
    %{__install} -m 755 $fname $RPM_BUILD_ROOT%{_sbindir}
    %{__install} -m 755 $fname $RPM_BUILD_ROOT%{_datadir}/mondo
done
%{!?_without_xmondo:%{__install} -m 755 mondo/xmondo/.libs/xmondo $RPM_BUILD_ROOT%{_sbindir}}
for f in libmondo-newt libmondo-newt.1 libmondo-newt.1.0.0 libmondo libmondo.2 libmondo.2.0.3 ; do
    fname=mondo/common/.libs/$f
    if [ -e "$fname" ] ; then
	echo "bug in libtool configuration"
	exit 1
    fi
done
for f in libmondo-newt.so.1.0.0 libmondo.so.2.0.3 ; do
    fname=mondo/common/.libs/$f
    if [ -e "$fname" ] ; then
		%{__install} -m 755 $fname $RPM_BUILD_ROOT%{_libdir}
    fi
done
ln -sf libmondo-newt.so.1.0.0 $RPM_BUILD_ROOT%{_libdir}/libmondo-newt.so.1
ln -sf libmondo-newt.so.1 $RPM_BUILD_ROOT%{_libdir}/libmondo-newt.so
ln -sf libmondo.so.2.0.3 $RPM_BUILD_ROOT%{_libdir}/libmondo.so.2
ln -sf libmondo.so.2 $RPM_BUILD_ROOT%{_libdir}/libmondo.so
%{!?_without_xmondo:%{__install} -m 755 mondo/common/.libs/libXmondo-%{libversion}.so $RPM_BUILD_ROOT%{_libdir}}
%{!?_without_xmondo:%{__ln_s} libXmondo-%{libversion}.so $RPM_BUILD_ROOT%{_libdir}/libXmondo.so}
%{!?_without_xmondo:%{__install} -m 644 mondo/xmondo/mondo.png $RPM_BUILD_ROOT%{_datadir}/mondo}
%{__install} -m 755 mondo/do-not-compress-these       $RPM_BUILD_ROOT%{_datadir}/mondo
%{__install} -m 755 mondo/autorun                     $RPM_BUILD_ROOT%{_datadir}/mondo
%{__install} -m 644 mondo/mondoarchive/mondoarchive.8 $RPM_BUILD_ROOT%{_mandir}/man8
gzip -9 -f $RPM_BUILD_ROOT%{_mandir}/man8/mondoarchive.8
%{__cp} -Rf mondo/restore-scripts  $RPM_BUILD_ROOT%{_datadir}/mondo
%{__cp} -Rf mondo/post-nuke.sample $RPM_BUILD_ROOT%{_datadir}/mondo
for fname in mondo/common/my-stuff.h mondo/common/mondostructures.h mondo/common/libmondo-*-EXT.h mondo/common/X-specific-EXT.h mondo/common/newt-specific-EXT.h; do
    %{__install} -m 644 $fname $RPM_BUILD_ROOT%{_includedir}/mondo
done

%post
%{run_ldconfig}

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc ChangeLog mondo/docs/en/*
%dir %{_datadir}/mondo
%dir %{_datadir}/mondo/post-nuke.sample
%dir %{_datadir}/mondo/restore-scripts
%{_sbindir}/mondorestore
%{_sbindir}/mondoarchive
%{_datadir}/mondo/mondorestore
%{_datadir}/mondo/post-nuke.sample/*
%{_datadir}/mondo/restore-scripts/*
%{_datadir}/mondo/do-not-compress-these
%{_datadir}/mondo/mondoarchive
%{_datadir}/mondo/autorun
%{_mandir}/man8/mondoarchive.8*
%{_libdir}/libmondo*.so.*
%{!?_without_xmondo:%files xmondo}
%{!?_without_xmondo:%defattr(-,root,root,-)}
%{!?_without_xmondo:%{_sbindir}/xmondo}
%{!?_without_xmondo:%{_libdir}/libXmondo-%{libversion}.so}
%{!?_without_xmondo:%{_libdir}/libXmondo.so}
%{!?_without_xmondo:%{_datadir}/mondo/mondo.png}

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/mondo
%{_includedir}/mondo/*
%{_libdir}/libmondo*.so

%changelog -n mondo
* Mon Feb 28 2005 - ro@suse.de
- fix library installation
* Wed Feb 16 2005 - lrupp@suse.de
- disable xmondo
* Tue Feb 15 2005 - lrupp@suse.de
- include patches from Stephan Lauffer
  => workaround for discs with extented partition as 1 partition
* Mon Jan 24 2005 - lrupp@suse.de
- first release for SUSE LINUX
